# Image to use for runner
image: busybox:latest

# Stages definition
stages:
  - build_stage
  - deploy_stage  

# Define jobs for individual stages
build_job_1:
  stage: build_stage
  script:
    - echo "Hello from Build JOB1"
    - date
    - touch /tmp/testfile
    - echo "Buildim image"

build_job_2:
  stage: build_stage
  script:
    - echo "Hello from Build JOB2"
    - date

deploy_job_1:
  stage: deploy_stage
  script:
    - echo "Hello from Deploy JOB1"
    - date 
    - echo "Pushujem na dockerhub"   
